package com.jasamedika.medifirst2000.vo;

import java.io.Serializable;
import javax.persistence.*;
import java.util.Date;
import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class KelompokPenyebabDiagnosa
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "KelompokPenyebabDiagnosa_M")
public class KelompokPenyebabDiagnosaVO extends BaseMasterVO {
	@Caption(value="Kode Kelompok P Diagnosa")
	private String kdKelompokPDiagnosa;

	public void setKdKelompokPDiagnosa(String kdKelompokPDiagnosa) {
		this.kdKelompokPDiagnosa = kdKelompokPDiagnosa;
	}

	@Column(name = "KdKelompokPDiagnosa", nullable = false , length = 2)
	public String getKdKelompokPDiagnosa(){
		return this.kdKelompokPDiagnosa;
	}

	@Caption(value="Kelompok P Diagnosa")
	private String kelompokPDiagnosa;

	public void setKelompokPDiagnosa(String kelompokPDiagnosa) {
		this.kelompokPDiagnosa = kelompokPDiagnosa;
	}

	@Column(name = "KelompokPDiagnosa", nullable = false , length = 50)
	public String getKelompokPDiagnosa(){
		return this.kelompokPDiagnosa;
	}

	@Caption(value="QKelompok P Diagnosa")
	private Byte qKelompokPDiagnosa;

	public void setqKelompokPDiagnosa(Byte qKelompokPDiagnosa) {
		this.qKelompokPDiagnosa = qKelompokPDiagnosa;
	}

	@Column(name = "QKelompokPDiagnosa", nullable = false )
	public Byte getqKelompokPDiagnosa(){
		return this.qKelompokPDiagnosa;
	}


}

